Update document metadata

​

Update only the client-owned fields external_id and external_metadata (for correlating a document with your own system). Returns 404 for an unknown or cross-org id, or 409 if the new external_id is already used by another document in this org.

OAuth scopes
  • documents:write

Path Parameters

Body·

application/json
  • Your stable identifier for this document. Unique per organization; returns 409 if another document in this org already uses the value.

  • Properties: 1

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/v2/documents/{id}
curl https://api.brellium.dev/v2/documents/123e4567-e89b-12d3-a456-426614174000 \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "external_metadata": {
    "additionalProperty": "anything"
  },
  "external_id": null
}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "object": "document",
  "org_id": "string",
  "filename": "string",
  "doc_type": null,
  "status": "string",
  "group_id": null,
  "client": "string",
  "provider": "string",
  "service_code": "string",
  "bcba": "string",
  "us_state": "string",
  "external_id": null,
  "external_metadata": {
    "additionalProperty": "anything"
  },
  "metadata": {
    "additionalProperty": "anything"
  },
  "viewable": true,
  "processed": true,
  "needs_audit": true,
  "audit_created": true,
  "needs_coding_eval": true,
  "coding_eval_created": true,
  "s3_bucket": "string",
  "pdf_s3_key": "string",
  "text_s3_key": "string",
  "structured_json_s3_key": null,
  "upload_time": "string",
  "created_at": "string",
  "updated_at": "string"
}
Brellium API